# GridFire: gridfire::solver Namespace Reference

Loading...
Searching...
No Matches
gridfire::solver Namespace Reference

## Classes

class | DirectNetworkSolver
| A network solver that directly integrates the reaction network ODEs. More...
class | NetworkSolverStrategy
| Abstract base class for network solver strategies. More...

## Typedefs

using | DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.

## Typedef Documentation

## DynamicNetworkSolverStrategy

using gridfire::solver::DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>

Type alias for a network solver strategy that uses a DynamicEngine.

Definition at line 53 of file solver.h.